io.vertx.rxjava.servicediscovery.types

## Class RedisDataSource

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.types.RedisDataSource

-     public class RedisDataSource
      extends Object

  Service type for Redis data source.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<RedisDataSource>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisDataSource(RedisDataSource delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record` | `createRecord(String name, JsonObject location, JsonObject metadata)` Convenient method to create a record for a Redis data source.
    `RedisDataSource` | `getDelegate()`
    `static void` | `getRedisClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, Handler<AsyncResult<RedisClient>> resultHandler)` Convenient method that looks for a Redis data source and provides the configured `RedisClient`.
    `static void` | `getRedisClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject consumerConfiguration, Handler<AsyncResult<RedisClient>> resultHandler)` Convenient method that looks for a Redis data source and provides the configured `RedisClient`.
    `static void` | `getRedisClient(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<RedisClient>> resultHandler)` Convenient method that looks for a Redis data source and provides the configured `RedisClient`.
    `static void` | `getRedisClient(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration, Handler<AsyncResult<RedisClient>> resultHandler)` Convenient method that looks for a Redis data source and provides the configured `RedisClient`.
    `static RedisDataSource` | `newInstance(RedisDataSource arg)`
    `static rx.Single<RedisClient>` | `rxGetRedisClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter)` Convenient method that looks for a Redis data source and provides the configured `RedisClient`.
    `static rx.Single<RedisClient>` | `rxGetRedisClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject consumerConfiguration)` Convenient method that looks for a Redis data source and provides the configured `RedisClient`.
    `static rx.Single<RedisClient>` | `rxGetRedisClient(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a Redis data source and provides the configured `RedisClient`.
    `static rx.Single<RedisClient>` | `rxGetRedisClient(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration)` Convenient method that looks for a Redis data source and provides the configured `RedisClient`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<RedisDataSource> __TYPE_ARG

  - ### Constructor Detail

    - #### RedisDataSource

          public RedisDataSource(RedisDataSource delegate)

  - ### Method Detail

    - #### getDelegate

          public RedisDataSource getDelegate()

    - #### createRecord

          public static Record createRecord(String name,
                                            JsonObject location,
                                            JsonObject metadata)

      Convenient method to create a record for a Redis data source.
      Parameters:
        `name` - the service name
        `location` - the location of the service (e.g. url, port...)
        `metadata` - additional metadata
      Returns:
        the created record

    - #### getRedisClient

          public static void getRedisClient(ServiceDiscovery discovery,
                                            JsonObject filter,
                                            Handler<AsyncResult<RedisClient>> resultHandler)

      Convenient method that looks for a Redis data source and provides the configured `RedisClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### rxGetRedisClient

          public static rx.Single<RedisClient> rxGetRedisClient(ServiceDiscovery discovery,
                                                                JsonObject filter)

      Convenient method that looks for a Redis data source and provides the configured `RedisClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:

    - #### getRedisClient

          public static void getRedisClient(ServiceDiscovery discovery,
                                            java.util.function.Function<Record,Boolean> filter,
                                            Handler<AsyncResult<RedisClient>> resultHandler)

      Convenient method that looks for a Redis data source and provides the configured `RedisClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, cannot be `null`
        `resultHandler` - The result handler

    - #### rxGetRedisClient

          public static rx.Single<RedisClient> rxGetRedisClient(ServiceDiscovery discovery,
                                                                java.util.function.Function<Record,Boolean> filter)

      Convenient method that looks for a Redis data source and provides the configured `RedisClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, cannot be `null`
      Returns:

    - #### getRedisClient

          public static void getRedisClient(ServiceDiscovery discovery,
                                            JsonObject filter,
                                            JsonObject consumerConfiguration,
                                            Handler<AsyncResult<RedisClient>> resultHandler)

      Convenient method that looks for a Redis data source and provides the configured `RedisClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - The additional consumer configuration
        `resultHandler` - The result handler

    - #### rxGetRedisClient

          public static rx.Single<RedisClient> rxGetRedisClient(ServiceDiscovery discovery,
                                                                JsonObject filter,
                                                                JsonObject consumerConfiguration)

      Convenient method that looks for a Redis data source and provides the configured `RedisClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - The additional consumer configuration
      Returns:

    - #### getRedisClient

          public static void getRedisClient(ServiceDiscovery discovery,
                                            java.util.function.Function<Record,Boolean> filter,
                                            JsonObject consumerConfiguration,
                                            Handler<AsyncResult<RedisClient>> resultHandler)

      Convenient method that looks for a Redis data source and provides the configured `RedisClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, cannot be `null`
        `consumerConfiguration` - The additional consumer configuration
        `resultHandler` - The result handler

    - #### rxGetRedisClient

          public static rx.Single<RedisClient> rxGetRedisClient(ServiceDiscovery discovery,
                                                                java.util.function.Function<Record,Boolean> filter,
                                                                JsonObject consumerConfiguration)

      Convenient method that looks for a Redis data source and provides the configured `RedisClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, cannot be `null`
        `consumerConfiguration` - The additional consumer configuration
      Returns:

    - #### newInstance

          public static RedisDataSource newInstance(RedisDataSource arg)

Copyright © 2017. All rights reserved.